Triggers pull events for external event subscription
curl --request POST \
--url https://api.getmembrane.com/external-event-subscriptions/{id}/pull-events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/external-event-subscriptions/{id}/pull-events"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/external-event-subscriptions/{id}/pull-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "<string>",
"id": "<string>",
"integrationId": "<string>",
"connectionId": "<string>",
"externalEventSubscriptionId": "<string>",
"startDatetime": "<string>",
"endDatetime": "<string>",
"collectedEventIds": [
"<string>"
],
"tenantId": "<string>",
"ownerName": "<string>",
"externalAppId": "<string>",
"name": "<string>",
"isFullScan": true,
"error": {
"message": "<string>",
"key": "<string>",
"data": {},
"stack": {},
"causedByError": "<unknown>",
"logs": [
{}
]
}
}External Events
Triggers pull events for external event subscription
POST
/
external-event-subscriptions
/
{id}
/
pull-events
Triggers pull events for external event subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Available options:
running, success, error, queued Show child attributes
Show child attributes
⌘I